taskApi documentation (1.0.0)

Download OpenAPI specification:Download

Documentation and interface contract for the taskApi, the API responsible for managing tasks handled by the Zorni administration.

task

addTask

Create a task as a business object.

header Parameters
X-Correlation-ID
string

Correlation identifier

Request Body schema: application/json
id
string

Technical and unique id generated automatically that identifies a task.

resources
string
Enum: "PERSON" "ESTABLISHMENT" "ORGANIZATION"

Business resource concerned by the task.

openingDate
string <date-time>

Opening date of the task.

closingDate
string <date-time>

Closing date of the task.

status
string
Enum: "WAITING_FOR_TREATMENT" "IN_PROGRESS" "FINISHED"

Current processing status of the task.

comment
string

Admin comment after processing the task.

Responses

Request samples

Content type
application/json
{
  • "id": "string",
  • "resources": "PERSON",
  • "openingDate": "2019-08-24T14:15:22Z",
  • "closingDate": "2019-08-24T14:15:22Z",
  • "status": "WAITING_FOR_TREATMENT",
  • "comment": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "resources": "PERSON",
  • "openingDate": "2019-08-24T14:15:22Z",
  • "closingDate": "2019-08-24T14:15:22Z",
  • "status": "WAITING_FOR_TREATMENT",
  • "comment": "string",
  • "links": [
    ]
}

listTask

List tasks.

query Parameters
currentPage
integer >= 0

Current page number. Do not send this attribute on the first call.

sizePage
integer >= 3

Number of elements per page.

header Parameters
X-Correlation-ID
string

Correlation identifier

Responses

Response samples

Content type
application/json
{
  • "totalElements": 0,
  • "totalPages": 0,
  • "currentPage": 0,
  • "content": [
    ]
}

getTask

Retrieve a task by its id.

path Parameters
task-id
required
string

Technical id of the task.

header Parameters
X-Correlation-ID
string

Correlation identifier

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "resources": "PERSON",
  • "openingDate": "2019-08-24T14:15:22Z",
  • "closingDate": "2019-08-24T14:15:22Z",
  • "status": "WAITING_FOR_TREATMENT",
  • "comment": "string",
  • "links": [
    ]
}

putTask

Update a task.

path Parameters
task-id
required
string

Technical id of the task.

header Parameters
X-Correlation-ID
string

Correlation identifier

Request Body schema: application/json
id
string

Technical and unique id generated automatically that identifies a task.

resources
string
Enum: "PERSON" "ESTABLISHMENT" "ORGANIZATION"

Business resource concerned by the task.

openingDate
string <date-time>

Opening date of the task.

closingDate
string <date-time>

Closing date of the task.

status
string
Enum: "WAITING_FOR_TREATMENT" "IN_PROGRESS" "FINISHED"

Current processing status of the task.

comment
string

Admin comment after processing the task.

Responses

Request samples

Content type
application/json
{
  • "id": "string",
  • "resources": "PERSON",
  • "openingDate": "2019-08-24T14:15:22Z",
  • "closingDate": "2019-08-24T14:15:22Z",
  • "status": "WAITING_FOR_TREATMENT",
  • "comment": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "resources": "PERSON",
  • "openingDate": "2019-08-24T14:15:22Z",
  • "closingDate": "2019-08-24T14:15:22Z",
  • "status": "WAITING_FOR_TREATMENT",
  • "comment": "string",
  • "links": [
    ]
}